package missionsnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически собирает золото
*/

// MissionsNet -- автоматически собирает золото
type MissionsNet struct {
	*sectionnet.SectionNet
}

// NewMissionsNet -- возвращает новый *MissionsNet
func NewMissionsNet(server types.IServer, bot types.IServBot) (*MissionsNet, error) {
	{ // Предусловия
		if server == nil {
			return nil, fmt.Errorf("NewMissionsNet(): ISerer == nil")
		}
		if bot == nil {
			return nil, fmt.Errorf("NewMissionsNet(): IServBot == nil")
		}
	}

	sf := &MissionsNet{
		SectionNet: sectionnet.NewSectionNet(server, bot, bot.Angar().Missions(), "http://wartank.ru/missions/"),
	}
	return sf, nil
}
